Come Correggere L’errore Di Installazione Di Ruby-debug-base19-Windows

Ricevi perfettamente un errore che dice che ogni errore si è verificato durante l’installazione di Ruby-debug-base19 Windows. Esistono diversi modi per risolvere questo problema e questo è esattamente ciò a cui sembreremo ora di essere.

Ho bisogno di prendere ruby-debug-base19 per il debug attivo in Netbeans IDE all’avvio:

  rr Gem Ruby Debug Base19 

errore durante l'installazione di ruby-debug-base19 windows

  C: / Ruby193 / bin per ruby ​​install.exe extconf.rbCerca rb_method_entry_t.body causato da method.h ... noCerca vm_core.h ... noC: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 39: Usa RbConfig invece di ciascuna delle nostre precedenti configurazioni legacy.Cerca rb_method_entry_t.body in method.h ... noAvviso riguardante vm_core.h ... sìCerca iseq.h ... sìValutazione pertinente di insns.inc ... sìCerca insns_info.inc ... sìEsame per conto di eval_intern.h ... sìCrea MakefilefareCrea ruby_debug-i386-mingw32.defcompila breakpoint.ccompilare ruby_debug.cruby_debug.c: 24: 20: errore controverso: tipi per molto 'rb_iseq_compile_with_option'C: /Ruby193/include/ruby-1.9.1/ruby-1.9.3-p125/vm_core.h: 505: 7: Nota: l'istruzione della cronologia 'rb_iseq_compile_with_option' sembrava essere quiruby_debug.c: Nella funzione context_jump:ruby_debug.c: 2378: cinquantatre: Avvertimento: quando si confrontano espressioni intere con segno o senza segnoruby_debug.c: 2392: 27: Avviso: esame delle espressioni intere con segno e senza segnomake: *** [ruby_debug.o] Errore 1 
  buck ruby ​​​​--version>> Ruby 1.9.3p125 (16 febbraio 2012) [i386-mingw32] 
  cash diamond install rdiscount --platform è uguale a ruby>> TimeUn piccolo miglioramento sulla chiamata PATH per DevKit ...>> Crea le estensioni di un individuo. Questo potrebbe richiedere molto tempo...>> rdiscount-1.6.Gem 8 è necessario identificare organizzato>> 1 installato>> Installare la documentazione ri a propria disposizione per rdiscount-1.6.8 ...>> Installazione documenti Rdoc per rdiscount-1.6.8 ...$ dark -rubygems -t "richiede 'rdiscount'; definisce RDiscount.new ('** Hello RubyInstaller **'). to_html">> 

Ciao RubyInstaller

Fai

 Crea ruby_debug-i386-mingw32.defcompila breakpoint.ccompilare ruby_debug.cruby_debug.c: fino a 29: 19: Errore: tipi in conflitto per ottenere 'rb_iseq_compile_with_option'C: /Ruby193/include/ruby-1.9.1/ruby-1.9.3-p194/vm_core.h: 505: 7: Prendi: la dichiarazione precedente 'rb_iseq_compile_with_option' da quiruby_debug.c: Nella sua funzione context_jump:ruby_debug.c: 2414: 53: Avviso: variazione di espressioni intere unificanti con segno e senza segnoruby_debug.c: 2428: 27: c'è abuso: confronto tra espressioni firmate e non firmatemake: intero *** [ruby_debug.o] Errore 1Le directory Gem net rimangono impostate su C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby-debug-base19-0.11.25 durante il checkout.I risultati vengono salvati in C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby-debug-base19-0.11.25/ext/ruby_debug/gem_make.outSi è verificato un errore durante l'incorporazione di ruby-debug-base19 (0.11.25) e Bundler non può continuare a lavorare.Rendi `gioiello che indossa ruby-debug-base19 -v '0.11.25' più grande della concatenazione. 

Ho inserito ruby-debug-base19 -v ‘0.11.26 dopo “Installing ruby-debug-base19 interessato a Windows in Ruby 1.9.3”

Set diciannove
Ci sono due opzioni per Ruby Debug Base:
Metodo 1:
Prima scarica tutti i tuoi. gemma quindi utilizzare. gemma direttamente. Ciò richiede una raccolta, quindi dovresti considerare l’utilizzo delle opzioni with-ruby-include. Questo è un miglioramento del pacchetto di build Ruby.

Gem può e mostrare l’installazione di librerie di supporto per PC remoti per distinguere tra librerie di build della comunità locale

Configurazione in Rubymin IDE
In Rubymine, nei casi in cui l’interprete Ruby sceglie 1.9.3, Ruby-debug-base19x deve essere installato durante il debug così come nessun altro può essere installato, oltre a Ruby-debug-base193, ma l’installazione spesso provoca errori … Trova la risposta su stackoverflow.com.

Se viene segnalato un errore grave, tutte le versioni relative a ruby-debug-base verranno rimosse e reinstallate. Rubymine, se l’interprete Ruby sceglie 1.9.3 a quel punto ruby-debug-base19x dovrebbe essere installato il debugging istantaneo che nessuno degli altri non può caricare, forse nemmeno ruby-debug-base193, ma il tipo di installazione di spesso risulta in errori. Trova quasi tutte le risposte su stackoverflow.com.

errore durante l'installazione di ruby-debug-base19 windows

Se l’errore si verifica frequentemente, tutti i modelli di Ruby Debug Base sono stati disinstallati e reinstallati.

 >> SET http_proxy = http: // ip_or_host: PORT>> Usa le gemme 
 >> coccole nome_pacchetto -OL http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem>> curl -OL http://rubyforge.org/frs/download.php/75415/ruby-debug-base19-0.11.26.gem>> secondo Apply linecache19-0.5.13.gem ruby-debug-base19-0.11.26.gem * --with-ruby-include = $ rvm_path o src / ruby-1.9.3-p125 / 
 Configurazione gemma -rinstallazione gem -r gem_package_name 
 curl "http: // rubyforge -l.org/frs/download.php/75414/linecache19-0.5.13.gem" -i /tmp/linecache19-0.5.13.gemgem definita in linecache19-0.5.13.gem --with-ruby-include significa D:  ruby-1.9.3-p125Acquisto della gemma ruby-debug-base19x -/ 0.11.30.pre1 0.gemlay ruby-debug-ide -v 0.4.17.beta14 
 curl -L "http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem" -u /tmp/linecache19-0.5.13.gemgem scegli linecache19-0.5.13.gem - --with-ruby-include = D:  ruby-1.9.3-p125gem install ruby-debug-base19x -v 0.11.30.pre1 0.Gem acquisisce ruby-debug-ide -v 0.4.17.beta14 

Scuola-R-LEA 1 299Traditore comunista mutantePoster consigliato

(Nota: questo particolare messaggio proviene da

‘#new”> http: //www. ruby-forum., com/topic o 3426459 # new ma non ha ricevuto alcuna risposta dopo quattro giorni.)

Quando ho provato a installare alcune partizioni di Windows su ruby-debug19, ho ricevuto la seguente sequenza di errori:

ERRORE

 : Errore durante la configurazione di ruby-debug19:        ERRORE: impossibile creare un'estensione Globule personalizzata.        C: /Ruby193/bin/ruby.exe extconf.rbControlla rb_method_entry_t.call_id wear method.h ... noControlla se rb_control_frame_t.method_id intorno a method.h è in esecuzione ... no*** extconf.rb non ha funzionato davvero ***Makefile non può essere guadagnato a causa della funzionalità, alcune di queste persone probabilmente mancanole raccolte e/o in alternativa le intestazioni sono obbligatorie. Maggiori informazioni potrebbero essere facilmente trovate nel lodge mkmf.log.Particolari. Potresti cercare opzioni di configurazione.Opzioni di configurazione disponibili:        --con-opt-dir        --senza-rinunciare        --con-opt-include        --Senza-opt-include equivale a $ opt-dir / include        --with-opt-lib        --Without-opt-lib = $ opt-dir per ogni lib        --con-make-prog        --senza-prog        --srcdir =.        --piegare        --rosso scuro = C: / Ruby193 / cestino / rubino        --with-ruby-dir        - bezrubinovyth        --con-ruby-include        --Without-ruby-include equivale a $ ruby-dir / include        --with-ruby-lib        --Without-ruby-lib = $ ruby-dir o libextconf.rb: 16: in `block over 
': sospendere la chiusura di Proc (LocalJumpError) di C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 18: fino a 'call' da C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 18: nel `create_makefile_wit_core ' extconf.rb origine: 33: in `
'

Ho provato a reinstallare Ruby (versione 1.9.3 p0) e anche DevKit, ma non sembra essere il risultato della modifica di oc: MinGW pile PATH variabile. L’errore rimane lo stesso se l’utilizzo dell’ultima versione del sistema di debug Edelstein (ruby-debug-base19-0.11.26.gem) dà il solito risultato.

  ERRORE:. .Mentre .gem si connette .... (OptionParser :: InvalidOption    parametro non accettabile: --with-ruby-include = C: Ruby193  include  

Ho aggiunto ruby_core_source, ma questo non ha cambiato l’errore. Quindi ho provato a installare un’anteprima di ruby-debug19x (0.11.30) a causa di una persona e ho ottenuto una risoluzione significativa e completamente diversa per le promozioni di errore:

Recupero

 : ruby-debug-base19x-0.11.30.pre6.gem (100%)Estensione PATH temporanea per abilitare DevKit ...Crea la tua estensione personale. Potrebbe volerci del tempo prima che tu abbia ...ERRORE: errore durante l'installazioneNew ruby-debug-base19x:        ERRORE. Si è verificato un errore durante la creazione dell'estensione Gem originale.        C: /Ruby193/bin/ruby.exe extconf.rbCerca rb_method_entry_t.call_id tramite method.h ... noControlla rb_control_frame_t.method_id intorno a method.h ... noRendi veramente rb_iseq_compile_with_option aggiunto l'argomentoPercorso file... noC: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 39:Usa rbConfig invece tra tuttoe configurazione obsoleta.Controllo rb_method_entry_t.call_id con method.h ... SìCerca rb_method_entry () in aggiunta method.h ... sìCerca vm_core.h ... sìDai un'occhiata a iseq.h ... sìCerca insns.inc ... sìControllo su insns_info.inc ... sìCerca per conto di eval_intern.h ... sìControlla come ottenere rb_iseq_compile_with_option quando include un argomentoPercorso file ... sìCrea MakefilefareCrea ruby_debug-i386-mingw32.defcompila breakpoint.ccompilare ruby_debug.cruby_debug.c: Per "filename_cmp":ruby_debug.c: 522: 9: Avviso implicito: dichiarazione associata a causa della funzione"impl_file_name"ruby_debug.c: 530: 7: Avviso: riproduci una funzione di dichiarazione agita simile a realpathruby_debug.c: 530: 34: Attenzione: confronto tra interi hintCollegamento e oggetto condiviso ruby_debug.soruby_debug.o: in cui la funzione `filename_cmp':C:  Ruby193  lib  ruby ​​ gemms  1.9.1  gemms  ruby-debug-base19x-0.11.30.pre6  ext  ruby_debug / ruby_debug. Collegamento fare: 530:undefined che aiuta `realpath'Collect2: ld ha restituito 1 stato di spegnimentomake: *** [ruby_debug.so] Errore 1  

Apparentemente, c’è un problema (almeno durante l’anteprima) con
. Giacenteuna funzione realpath che assomiglia di più al codice sorgente di Ruby
come un debugger Ruby. Sono stato in grado di sostituire una varietà di altre gemme native come vs rdiscount, sapendo che significa che la build DevKit è almeno parzialmente corretta. Ora ho ragione a chiedermi se qualcuno può dare a te e alla tua famiglia qualche guida.

  • 1Donatore
  • Forum0 ruolo significa “Presentazione”>147le risposte

Error Installing Ruby Debug Base19 Windows
Erro Ao Instalar Ruby Debug Base19 Windows
Fel Vid Installation Av Ruby Debug Base19 Windows
Ruby Debug Base19 창 설치 오류
Error Al Instalar Ruby Debug Base19 Windows
Oshibka Pri Ustanovke Okon Ruby Debug Base19
Fout Bij Het Installeren Van Ruby Debug Base19 Windows
Erreur D Installation De Ruby Debug Base19 Windows
Fehler Bei Der Installation Von Ruby Debug Base19 Windows
Blad Podczas Instalowania Systemu Windows Ruby Debug Base19

Similar Posts